Open App

Views

API endpoints for views

listViews

GET /api/v1/views

Parameters

NameInTypeRequiredDescription
organizationIdquerystringNo
projectIdquerystringNo
entityTypequerystring (scout, asset, project, role, space, recur)No

Example request

curl -X GET \
"https://api.example.com/api/v1/views?organizationId=<organizationId>&projectId=<projectId>&entityType=<entityType>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


createView

POST /api/v1/views

Example request

curl -X POST \
"https://api.example.com/api/v1/views" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


getView

GET /api/v1/views/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X GET \
"https://api.example.com/api/v1/views/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


updateView

PATCH /api/v1/views/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X PATCH \
"https://api.example.com/api/v1/views/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


deleteView

DELETE /api/v1/views/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X DELETE \
"https://api.example.com/api/v1/views/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type